<?php

namespace Tests\Feature;

use Tests\TestCase;
use Illuminate\Foundation\Testing\WithFaker;
use App\User;
use Artisan;

class RegisterTest extends TestCase
{
    protected $user;
    public function setUp()
    {
        parent::setUp();
        Artisan::call('db:seed');
        $this->user = factory(User::class)->create();
    }

    public function testVerification()
    {
        $response = $this->json('POST', '/api/send-verification', ['phone' => '0123456789']);
        $response
            ->assertStatus(200)
            ->assertJson([
                'success' => true,
            ]);

        $response = $this->json('POST', '/api/verify-phone', ['phone' => '0123456789', 'token' => '1234']);
        $response
            ->assertStatus(200)
            ->assertJson([
                'success' => true,
            ]);
     

            $token = $response->json()['token'];
    }

    public function testUpdateFFUser()
    {
        $this->actingAs($this->user)
        ->patchJson('/api/user', [
            'freightforwarder',
            'password' => 'updated',
            'password_confirmation' => 'updated',
        ])

        ->assertSuccessful();
    }

    public function testUpdateImporterUser()
    {
        $this->actingAs($this->user)
        ->patchJson('/api/user', [
            'importer',
            'password' => 'updated',
            'password_confirmation' => 'updated',
        ])
        ->assertSuccessful();
    }


}
